Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.renderkit
Class ChameleonRenderKitImpl

    java.lang.Object
      javax.faces.render.RenderKit
          org.ajax4jsf.renderkit.ChameleonRenderKitImpl

All Implemented Interfaces:
  ChameleonRenderKit

    public class ChameleonRenderKitImpl

extends javax.faces.render.RenderKit
implements ChameleonRenderKit

Wrapper for default applikation render kit. Only can append any custom renderers , all other methods delegate to default render kit.

Author:
  shura
See Also:
  `RenderKit`

Field Summary
`static java.lang.String` | `RENDER_KIT_ID`

Constructor Summary
`ChameleonRenderKitImpl()`

Method Summary
`void` | `addRenderer(java.lang.String family, java.lang.String rendererType, javax.faces.render.Renderer renderer)`
`javax.faces.context.ResponseStream` | `createResponseStream(java.io.OutputStream out)`
`javax.faces.context.ResponseWriter` | `createResponseWriter(java.io.Writer writer, java.lang.String contentTypeList, java.lang.String characterEncoding)`
`protected javax.faces.render.RenderKit` | `getDefaultRenderKit()` TODO - create own implementation for @see javax.faces.component.UIViewRoot , and get default renderKitId as value, setted at creation time.
`javax.faces.render.Renderer` | `getRenderer(java.lang.String family, java.lang.String rendererType)`
`javax.faces.render.ResponseStateManager` | `getResponseStateManager()`
`void` | `setDefaultRenderKit(javax.faces.render.RenderKit renderKit)`

Methods inherited from class javax.faces.render.RenderKit
`addClientBehaviorRenderer, getClientBehaviorRenderer, getClientBehaviorRendererTypes, getComponentFamilies, getRendererTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDER_KIT_ID

    public static final java.lang.String RENDER_KIT_ID

See Also:
  Constant Field Values

Constructor Detail

### ChameleonRenderKitImpl

    public ChameleonRenderKitImpl()

Method Detail

### addRenderer

    public void addRenderer(java.lang.String family,
                            java.lang.String rendererType,
                            javax.faces.render.Renderer renderer)

  Specified by:
    `addRenderer` in class `javax.faces.render.RenderKit`
  Parameters:
    `family` -
    `rendererType` -
    `renderer` -

### createResponseWriter

    public javax.faces.context.ResponseWriter createResponseWriter(java.io.Writer writer,
                                                                   java.lang.String contentTypeList,
                                                                   java.lang.String characterEncoding)

  Specified by:
    `createResponseWriter` in class `javax.faces.render.RenderKit`
  Parameters:
    `writer` -
    `contentTypeList` -
    `characterEncoding` -
  Returns:

### getRenderer

    public javax.faces.render.Renderer getRenderer(java.lang.String family,
                                                   java.lang.String rendererType)

  Specified by:
    `getRenderer` in class `javax.faces.render.RenderKit`
  Parameters:
    `family` -
    `rendererType` -
  Returns:

### getResponseStateManager

    public javax.faces.render.ResponseStateManager getResponseStateManager()

  Specified by:
    `getResponseStateManager` in class `javax.faces.render.RenderKit`
  Returns:

### createResponseStream

    public javax.faces.context.ResponseStream createResponseStream(java.io.OutputStream out)

  Specified by:
    `createResponseStream` in class `javax.faces.render.RenderKit`

### getDefaultRenderKit

    protected javax.faces.render.RenderKit getDefaultRenderKit()

  TODO - create own implementation for @see javax.faces.component.UIViewRoot , and get default renderKitId as value, setted at creation time. in this case, we can substitute concrete renderKit even if it pointed as value for tag on 1.2 specification.

  Returns:
    Returns the defaultRenderer.

### setDefaultRenderKit

    public void setDefaultRenderKit(javax.faces.render.RenderKit renderKit)

  Specified by:
    `setDefaultRenderKit` in interface `ChameleonRenderKit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.